/*
 * BEGIN FAKTORIPS GENERATOR INFORMATION SECTION
 * 
 * builder set: org.faktorips.devtools.stdbuilder.ipsstdbuilderset, Version: 3.0.0
 * 
 * END FAKTORIPS GENERATOR INFORMATION SECTION
 */

package org.faktorips.tutorial.hausrat.internal.hausrat;

import org.faktorips.values.Decimal;

/**
 * Diese Klasse repraesentiert eine (Read-Only) Zeile einer Tabelle.
 */
public class TariftabelleHausratRow {

    public final static TariftabelleHausratRow NULL_ROW = new TariftabelleHausratRow(null, Decimal.NULL);

    private String tarifzone;

    private Decimal beitragssatz;

    /**
     * Erzeugt eine neue Zeile.
     */
    public TariftabelleHausratRow(String tarifzone, Decimal beitragssatz) {

        this.tarifzone = tarifzone;
        this.beitragssatz = beitragssatz;
    }

    /**
     * Gibt den Werte der Spalte zurueck.
     */
    public String getTarifzone() {
        return tarifzone;
    }

    /**
     * Gibt den Werte der Spalte zurueck.
     */
    public Decimal getBeitragssatz() {
        return beitragssatz;
    }

    @Override
    public String toString() {
        return "" + tarifzone + "|" + beitragssatz;
    }
}