/*
 * BEGIN FAKTORIPS GENERATOR INFORMATION SECTION
 * 
 * builder set: org.faktorips.devtools.stdbuilder.ipsstdbuilderset, Version: 3.0.0
 * 
 * END FAKTORIPS GENERATOR INFORMATION SECTION
 */

package org.faktorips.tutorial.hausrat.internal.hausrat;

/**
 * Diese Klasse repraesentiert eine (Read-Only) Zeile einer Tabelle.
 */
public class TarifzonentabelleRow {

    public final static TarifzonentabelleRow NULL_ROW = new TarifzonentabelleRow(null, null, null);

    private String plzVon;

    private String plzBis;

    private String tarifzone;

    /**
     * Erzeugt eine neue Zeile.
     */
    public TarifzonentabelleRow(String plzVon, String plzBis, String tarifzone) {

        this.plzVon = plzVon;
        this.plzBis = plzBis;
        this.tarifzone = tarifzone;
    }

    /**
     * Gibt den Werte der Spalte zurueck.
     */
    public String getPlzVon() {
        return plzVon;
    }

    /**
     * Gibt den Werte der Spalte zurueck.
     */
    public String getPlzBis() {
        return plzBis;
    }

    /**
     * Gibt den Werte der Spalte zurueck.
     */
    public String getTarifzone() {
        return tarifzone;
    }

    @Override
    public String toString() {
        return "" + plzVon + "|" + plzBis + "|" + tarifzone;
    }
}